# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-datetime.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-applications
Version:       0.2.5
Release:       3%{?dist}
Summary:       MeeGo Panel for launching Applications

Group:         User Interface/Desktops
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-menus-devel
BuildRequires: gtk3-devel
BuildRequires: libmx-devel
BuildRequires: mutter-meego-devel
BuildRequires: intltool

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Requires: dbus

Provides: moblin-panel-applications = %{version}
Obsoletes: moblin-panel-applications < 0.1.30

%description
The MeeGo mutter panel for launching applications.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/meego-panel-applications
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.applications.service
%{_datadir}/mutter-meego/panels/meego-panel-applications.desktop
%{_datadir}/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.5-2
- Rebuild against gtk3

* Mon Nov  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.5-1
- New upstream 0.2.5 release

* Mon Sep  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.3-1
- Rename to meego-panel-applications
- New upstream 0.2.3 release

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.28-2
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.28-1
- New upstream 0.1.28 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Mon Nov 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- New upstream 0.0.3 release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-1
- New upstream 0.0.2 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
